/*--------------------------------------------------------------
root
--------------------------------------------------------------*/
:root {
  /*========== Colores ==========*/
  --color-negro: #1d1d1b;
  --color-blanco: #ffffff;
  --bg-dark: #000000cc;
  --color-gris: #979797;
  --color-gris-claro: #f6f9ff;
  --color-rojo: #a61212;
  --color-rojo-claro: #ec3131;
  --color-rojo-oscuro: #6b0909;
}

/*--------------------------------------------------------------
General
--------------------------------------------------------------*/
:root {
  scroll-behavior: smooth;
}

html{
  scroll-behavior: smooth;
}

html,
body {
  height: 100%;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
  background: var(--color-gris-claro) !important;
}

a {
  transition: all 0.3s ease 0s !important;
  text-decoration: none !important;
  color: var(--color-negro);
}

a:active,
a:hover {
  outline: 0 none !important;
}

.fl {
  float:left;
}

.fr {
  float:right
}

.dn {
  display: none;
}

.w { 
  width: -webkit-fill-available;
}

.inp_actualizar{
  text-align: right;
  width: -webkit-fill-available;
  border: solid 1px #ccc;
  border-radius: 3px;
}

.paginador {
  margin-top: revert; margin-right: 5%;
}

.item{
  width: 25px;
  height: 25px;
}

/*--------------------------------------------------------------
Scroll Bar
--------------------------------------------------------------*/
::-webkit-scrollbar{
  width: .60rem;
  background-color: var(--color-negro);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
  background-color: var(--color-gris);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb:hover{
  background-color: var(--color-rojo);
}

.form-floating {
  border: 1px solid #ced4da !important;
}

.form-estado {
  border: none !important;
}

/*--------------------------------------------------------------
inputs y Labels
--------------------------------------------------------------*/
.labelFloating {
  color: #111 !important;
  font-size: 0.9rem !important;
  font-weight: 400 !important;
  border-radius: 5px !important;
}

.inputFloating {
  font-size: 1rem !important;
  color: #111 !important;
  background-color: var(--color-blanco) !important;
  border-radius: 5px !important;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}

.inputFloating:focus {
  box-shadow: none !important;
  outline: 0 none !important;
  color: var(--color-negro) !important;
  border: 1px solid green !important;
}

.input_pagina {
  border: none;
  text-align: center;
  height: 23px;
  width: 3rem;
}

#myInput {
  background-image: url('../img/searchicon.png');
  background-position: 10px 7px;
  background-repeat: no-repeat;
  width: 10rem;
  padding: 5px 20px 5px 40px;
  border-radius: 5px;
  border: solid 1px #e3e3e3;
  margin-left: 5%;
}

/*--------------------------------------------------------------
select
--------------------------------------------------------------*/
.form-floating .form-select {
  font-size: 1rem;
  color: var(--color-negro);
  background-color: var(--color-blanco);
  border: none;
  border-radius: 5px;
  text-align: left !important;
  box-shadow: none !important;
  outline: 0 none !important;
}

.form-floating .dropdown-menu {
  color: var(--color-negro);
  background-color: var(--color-blanco);
  width: 100%;
  padding-right: calc(0.5rem * .5);
  padding-left: calc(0.5rem * .5);
  margin-right: auto;
  margin-left: auto;
}

.form-floating .dropdown-item:hover {
  background-color: var(--color-rojo-claro);
  color: var(--color-blanco);
}

.form-floating .dropdown-item.active {
  background-color: var(--color-rojo);
  color: var(--color-blanco);
}

.form-floating .searchFloating {
  font-size: 1rem;
  color: var(--color-negro);
  background-color: var(--color-gris-claro) !important;
  border: none;
  border-radius: 5px;
  box-shadow: none !important;
  outline: 0 none !important;
}

.form-floating .dselect-wrapper button {
  margin-top: 2px;
  padding-bottom: 1px;
}

.form-floating .dselect-wrapper {
  border: 1px solid #ced4da;
  padding-bottom: 8px !important;
}

.form-floating .dselect-wrapper:focus-within {
  border: 1px solid green !important;
}

.form-floating .dselect-no-results {
  padding: 10px;
}

/*--------------------------------------------------------------
Header
--------------------------------------------------------------*/
.header {
  transition: all 0.5s;
  z-index: 997;
  height: 60px;
  box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
  background: var(--color-blanco);
  padding-left: 20px;
}

.header .logo {
  line-height: 1;
}

@media (min-width: 1200px) {
  .header .logo {
    width: 250px;
  }
}

.header .logo img {
  max-height: 40px;
  margin-right: 6px;
  margin-bottom: 6px;
  transform: translatey(0px);
}

.header .logo img:hover {
  cursor: pointer;
}

.header .logo span {
  font-size: 26px;
  font-weight: 700;
  color: var(--color-blanco);
}

.header .toggle-sidebar-btn {
  font-size: 32px;
  padding-left: 10px;
  cursor: pointer;
  color: var(--color-negro);
}

/*--------------------------------------------------------------
# Header Nav
--------------------------------------------------------------*/
.header-nav ul {
  list-style: none;
}

.header-nav>ul {
  margin: 0;
  padding: 0;
}

.header-nav .nav-icon {
  font-size: 22px;
  color: var(--color-negro);
  margin-right: 25px;
  position: relative;
}

.header-nav .badge-number {
  position: absolute;
  inset: -2px -5px auto auto;
  font-weight: normal;
  font-size: 12px;
  padding: 3px 6px;
}

.header-nav .notifications {
  inset: 8px -15px auto auto !important;
}

.header-nav .notifications .notification-item {
  display: flex;
  align-items: center;
  padding: 15px 10px;
  transition: 0.3s;
}

.header-nav .notifications .notification-item i {
  margin: 0 20px 0 10px;
  font-size: 24px;
}

.header-nav .notifications .notification-item h4 {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 5px;
}

.header-nav .notifications .notification-item p {
  font-size: 16px;
  margin-bottom: 3px;
  color: var(--color-negro);
}

.header-nav .notifications .notification-item:hover {
  background-color: var(--color-gris-claro);
}

.header-nav .nav-profile {
  color: var(--color-negro);
}

.header-nav .nav-profile img {
  margin-left: 5px;
  margin-bottom: 5px;
  max-height: 38px;
}

.header-nav .nav-profile span {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 5px;
}

.header-nav .profile {
  min-width: 240px;
  padding-bottom: 0;
  top: 8px !important;
}

.header-nav .profile .dropdown-header h6 {
  font-size: 18px;
  margin-bottom: 0;
  font-weight: 600;
  color: var(--color-negro);
}

.header-nav .profile .dropdown-header span {
  font-size: 14px;
}

.header-nav .profile .dropdown-item {
  font-size: 14px;
  padding: 10px 15px;
  transition: 0.3s;
}

.header-nav .profile .dropdown-item i {
  margin-right: 10px;
  font-size: 18px;
  line-height: 0;
}

.header-nav .profile .dropdown-item:hover {
  background-color: var(--color-gris-claro);
}

/* Main */
#main {
  margin-top: 60px;
  padding: 20px 30px;
  transition: all 0.3s;
}

@media (max-width: 1199px) {
  #main {
    padding: 20px;
  }
}

/*--------------------------------------------------------------
Sidebar
--------------------------------------------------------------*/
.sidebar {
  position: fixed;
  top: 60px;
  left: 0;
  bottom: 0;
  width: 250px;
  z-index: 996;
  transition: all 0.3s;
  padding: 20px;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: #aab7cf transparent;
  box-shadow: 0px 0px 20px rgba(1, 41, 112, 0.1);
  background-color: var(--color-blanco);
}

@media (max-width: 1199px) {
  .sidebar {
    left: -250px;
  }
}

/* search-bar */
.sidebar .search-bar {
  min-width: 360px;
  padding: 20px 0px;
}

.sidebar .search-form input {
  border: 0;
  font-size: 14px;
  color: #012970;
  border: 1px solid rgba(1, 41, 112, 0.2);
  padding: 7px 38px 7px 8px;
  border-radius: 3px;
  transition: 0.3s;
}

.sidebar .search-form input:focus,
.sidebar .search-form input:hover {
  outline: none;
  box-shadow: 0 0 10px 0 rgba(1, 41, 112, 0.15);
  border: 1px solid rgba(1, 41, 112, 0.3);
}

.sidebar .search-form button {
  border: 0;
  padding: 0;
  margin-left: -30px;
  background: none;
}

.sidebar .search-form button i {
  color: #012970;
}

.sidebar::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: var(--color-blanco);
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: var(--color-gris);
}

@media (min-width: 1200px) {

  #main,
  #footer {
    margin-left: 250px;
  }
}

@media (max-width: 1199px) {
  .toggle-sidebar .sidebar {
    left: 0;
  }
}

@media (min-width: 1200px) {

  .toggle-sidebar #main,
  .toggle-sidebar #footer {
    margin-left: 0;
  }

  .toggle-sidebar .sidebar {
    left: -250px;
  }
}

.sidebar-nav {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav li {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-item {
  margin-bottom: 5px;
}

.sidebar-nav .nav-heading {
  font-size: 11px;
  text-transform: uppercase;
  color: var(--color-gris);
  font-weight: 600;
  margin: 10px 0 5px 15px;
}

.sidebar-nav .nav-link {
  display: flex;
  align-items: center;
  font-size: 15px;
  font-weight: 600;
  color: var(--color-rojo-claro);
  transition: 0.3;
  background: var(--color-gris-claro);
  padding: 10px 15px;
  border-radius: 4px;
}

.sidebar-nav .nav-link i {
  font-size: 16px;
  margin-right: 10px;
  color: var(--color-rojo-claro);
}

.sidebar-nav .nav-link.collapsed {
  color: var(--color-negro);
  background: var(--color-blanco);
}

.sidebar-nav .nav-link.collapsed i {
  color: var(--color-gris);
}

.sidebar-nav .nav-link:hover {
  color: var(--color-rojo-claro);
  background: var(--color-gris-claro);
}

.sidebar-nav .nav-link:hover i {
  color: var(--color-rojo-claro);
}

.sidebar-nav .nav-link .fa-chevron-down {
  margin-right: 0;
  transition: transform 0.2s ease-in-out;
}

.sidebar-nav .nav-link:not(.collapsed) .fa-chevron-down {
  transform: rotate(180deg);
}

.sidebar-nav .nav-content {
  padding: 5px 0 0 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-content a {
  display: flex;
  align-items: center;
  font-size: 14px;
  font-weight: 600;
  color: var(--color-negro);
  transition: 0.3;
  padding: 10px 0 10px 40px;
  transition: 0.3s;
}

.sidebar-nav .nav-content a i {
  font-size: 12px;
  margin-right: 8px;
  line-height: 0;
  border-radius: 50%;
}

.sidebar-nav .nav-content a:hover,
.sidebar-nav .nav-content a.active {
  color: var(--color-rojo-claro);
}

.sidebar-nav .nav-content a.active i {
  background-color: var(--color-rojo-claro);
}

/*--------------------------------------------------------------
# Main
--------------------------------------------------------------*/
#main {
  margin-top: 60px;
  padding: 20px 30px;
  transition: all 0.3s;
}

@media (max-width: 1199px) {
  #main {
    padding: 20px;
  }
}

/*--------------------------------------------------------------
titulos
--------------------------------------------------------------*/
.titulos {
  margin-bottom: 10px;
}

/*--------------------------------------------------------------
breadcrumb
--------------------------------------------------------------*/
.breadcrumb {
  font-size: 16px !important;
  color: black !important;
  font-weight: 600 !important;
}

.breadcrumb a {
  color: gray !important;
  transition: 0.3s !important;
  text-decoration: none !important;
}

.breadcrumb a:hover {
  color: rgb(51, 51, 51) !important;
}

.breadcrumb .breadcrumb-item::before {
  color: black !important;
}

.breadcrumb .active {
  color: black !important;
  font-weight: 600 !important;
}

/*--------------------------------------------------------------
Login
--------------------------------------------------------------*/

/*--------------------------------------------------------------
table
--------------------------------------------------------------*/
/*
.table {
  border: 1px solid #ccc;
  border-collapse: collapse;
  margin: 0;
  padding: 0;
  width: 100%;
  table-layout: fixed;
  margin-top: 1rem;
}

.rep_cabecera {
  padding-left: 2rem;
  padding-right: 2rem;
  float: left;
  width: -webkit-fill-available;
  background-color: #f8f8f8;
  margin-top: 1rem;
}

.rp1 {
  float: left;
}

.rp2 {
  float: left;
  margin-top: 1.4rem;
}

.rp3 {
  float: right;
  margin-top: 1rem;
}
*/

/*
.table caption {
  font-size: 1.5em;
  margin: .5em 0 .75em;
}
  
.table tr {
  background-color: #f8f8f8;
  border: 1px solid #ddd;
  padding: .35em;
}

.table th,
.table td {
  padding: .625em;
  text-align: center;
}

.table th {
  font-size: .85em;
  letter-spacing: .1em;
  text-transform: uppercase;
}
*/

#alert_success, #alert_danger {
  position: fixed;
  right: 10px;
  z-index: 3;
}

.height {
  height: auto !important;
}

.bloque {
  background-color: white;
  border-radius: 5px;
  padding: 1rem;
  margin: 1rem;
}

.bloque2 {
  background-color: #ddd;
  border-radius: 5px;
  padding: 1rem;
  margin: 1rem;
}

.ml0{
  margin-left: 0 !important;
}

/*
@media screen and (max-width: 600px) {
  .table {
    border: 0;
  }

  .table caption {
    font-size: 1.3em;
  }
  
  .table thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  .table tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  .table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  .table td::before {
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }
  
  .table td:last-child {
    border-bottom: 0;
  }

  .rp3 {
      float: unset;
      margin-top: auto;
      width: -webkit-fill-available;
      padding-bottom: 1rem;
  }

  #myInput {
    width: -webkit-fill-available;
    margin-left: auto;
  }

}
*/

/*========== links-referido ==========*/
.links-referido {
  padding: 30px 10px;
  overflow: hidden;
}

.links-referido .card {
  width: 100%;
  height: 100%;
  box-shadow: 0 4px 17px rgba(170, 170, 170, 0.35) !important;
  border-radius: 15px;
  text-align: center;
  transition: all 0.5s;
  padding: 5px;
}

.links-referido .card:hover {
  box-shadow: 0.15rem 0.6rem 1rem rgba(0, 0, 0, 0.3) !important;
  transform: scale(1.02);
}

.links-referido .card .card-header {
  margin: 0 auto;
  background: var(--color-blanco);
  border: none;
}

.links-referido .card .card-body {
  padding-top: 0px;
  padding-bottom: 0px;
}

.links-referido .card img {
  height: 50px;
}

.links-referido .card .qr {
  height: 130px;
  width: 130px;
  padding: 0px;
}

.links-referido .card .card-title {
  text-transform: capitalize;
}

.links-referido .card .card-footer {
  margin: 0 auto;
  background: var(--color-blanco);
  border: none;
}

.links-referido .card .card-footer .btn-link {
  font-weight: 600;
  font-size: 13px;
  text-transform: uppercase;
  display: inline-block;
  padding: 8px 15px;
  border-radius: 50px;
  line-height: 1;
  background: var(--color-rojo-claro);
  color: var(--color-blanco);
  text-align: center;
  transition: 0.5s;
  text-decoration: none;
}

.links-referido .card .card-footer .btn-link:hover {
  opacity: 0.85;
  transform: translateY(-1px);
}

/* note-editor */
.note-editor .note-toolbar {
  margin-left: 70px !important;
}

/* switch */
.form-switch .form-check-input {
  background-color: red !important;
  border-color: red !important;
  width: 2em;
  margin-left: -2.5em;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e") !important;
  background-position: left center;
  border-radius: 2em;
  transition: background-position 0.15s ease-in-out;
}
.form-switch .form-check-input:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e") !important;
}
.form-switch .form-check-input:checked {
  background-color: green !important;
  border-color: green !important;
  background-position: right center;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e") !important;
}

/* DATATABLES */
.datatables {
  overflow: auto !important;
}
.datatables caption {
  padding-top: .75rem !important;
  padding-bottom: .75rem !important;
  caption-side: bottom !important;
  color: #6c757d !important;
  text-align: left !important;
}
.datatables table {
  zoom: 80% !important;
  margin-top: 20px !important;
  margin-bottom: 20px !important;
  border-collapse: collapse !important;
}
.datatables table thead {
  text-align: center !important;
}
.datatables table thead tr th {
  text-align: inherit !important;
  padding: .75rem !important;
  vertical-align: bottom !important;
  border-bottom: 2px solid #dee2e6 !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
}
.datatables table thead tr th input {
  width: 100% !important;
  padding: 3px !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
}
.datatables table tbody tr td {
  padding: .75rem !important;
  vertical-align: top !important;
  text-align: start !important;
  border-top: 1px solid #dee2e6 !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
}
/*
@media screen and (max-width: 992px) {
  .table thead {
    height: 1px;
    width: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    position: absolute;
    border: none;
  }
  .table tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: 10px;
  }
  .table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
}
*/